
Figure - Bug #113274
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控SDK】遥控sdk在home界面只有一页时，无法进行方向选中应用
2022-10-28 16:32 - 物联网测试组_CDTS 段小刚

Status: CLOSED Start date: 2022-10-28

Priority: Normal Due date: 2022-10-31

Assignee: 物联网测试组_CDTS 段小刚 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221115

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211020242

Reproducibility: Every time Fixed Version: 2022-11-01

Test Type: IT Root cause: 编码问题

Description

刷机版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405

【前提条件】

1、设备已开机

2、手机上安装遥控sdk 

3、设备和手机连接同一局域网

【测试步骤】

1、使用手机sdk与设备连接

2、在设备主home界面

3、sdk上选择——方向控制

4、进行上下左右 方向键控制

【预期结果】

4、设备上的应用可以被 选中，并进行上下左右移动

【实际结果】

4、无法选中，并进行上下左右控制

【复现率】

4/4

【Log】

log见附件

History

#1 - 2022-10-28 17:19 - 物联网测试组_CDTS 段小刚

- Tracker changed from 测试 Test-IT to Bug

- Need_Info set to --

- Severity set to Critical

- Reproducibility set to Every time

- Test Type set to IT

- Found Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202210280405
#2 - 2022-10-28 17:26 - 物联网测试组_CDTS 段小刚

- Severity changed from Critical to Normal

#3 - 2022-10-28 20:05 - CDTS_TEST 王成

- Target version changed from VX1_MCE_FSE_V3.0_20221030 to VX1_MCE_FSE_V3.0_update_20221115

#4 - 2022-10-31 12:32 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD APP-王营

我这边验证发现是 Launcher 没有处理方向和选中事件。Settings 都是可以的，需要 Launcher 开发帮忙看看。

#5 - 2022-10-31 13:52 - CD APP-李德盛

- Assignee changed from CD APP-王营 to CD APP-李德盛

#6 - 2022-10-31 18:15 - CD APP-李德盛

- Status changed from New to RESOLVED

- Assignee changed from CD APP-李德盛 to 物联网测试组_CDTS 段小刚

- % Done changed from 0 to 100

- Resolution set to FIXED

- Degrated set to No

- Fixed Version set to 2022-11-01

- Root cause set to 编码问题

■ Current conclusion

焦点问题

■ My analysis

touch_view应设置为不可聚焦

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/159080

#7 - 2022-11-03 14:05 - 物联网测试组_CDTS 段小刚

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211020242

验证在home只有一页面，也能进行方向键选择医用。——pass

#8 - 2022-11-03 16:06 - 物联网测试组_CDTS 段小刚

- Status changed from VERIFIED to CLOSED

验证通过—关闭

#9 - 2022-12-22 20:47 - CD FW-王伟

Gerrit Merge Information：

ID Project Branch Uploader

159080 general/platform/packages/apps/Launc
Pre_figure_turbox-c2130c-la1.1-qssi12 jiao.li_a@thundersoft.com

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/159080


her3 -dev

FW:Launcher: Fix can't move focus1. The touch_view always holds focus.TC-RID: 1201-0205306IssueID: TS-R-BUG-113274Change-Id:

I82dd4b810b1c7a0a3ca9ee47262c5d678cfdbd96

Files

screen-20221028-032651.mp4 13.7 MB 2022-10-28 物联网测试组_CDTS 段小刚

sdk_fw.log 1.84 MB 2022-10-28 物联网测试组_CDTS 段小刚
